CT_RA_RegisterSlashCmd("/raloot", "Sets the default loot method: freeforall, roundrobin, group, needbeforegreed or master",
	15, "RALOOT", function(msg)
		if ( msg == "freeforall" ) then
			CT_RATab_DefaultLootMethod = 1;
		elseif ( msg == "roundrobin" ) then
			CT_RATab_DefaultLootMethod = 2;
		elseif ( msg == "master" ) then
			CT_RATab_DefaultLootMethod = 3;
		elseif ( msg == "group" ) then
			CT_RATab_DefaultLootMethod = 4;
		elseif ( msg == "needbeforegreed" ) then
			CT_RATab_DefaultLootMethod = 5;
		else
			CT_RA_Print("<CTRaid> Usage: /raloot |c00FFFFFFfreeforall|r/|c00FFFFFFroundrobin|r/"..
				"|c00FFFFFFgroup|r/|c00FFFFFFneedbeforegreed|r/|c00FFFFFFmaster|r");
			return;
		end
		CT_RA_Print("<CTRaid> Default loot type has been set to: |c00FFFFFF"..strlower(msg).."|r.", 1, 0.5, 0);
	end, "/raloot");

function CT_RATab_AutoPromote_OnClick()
	local name, rank = GetRaidRosterInfo(this.value);
	CT_RATab_AutoPromotions[name] = not CT_RATab_AutoPromotions[name];
	if ( CT_RA_Level and CT_RA_Level >= 2 and CT_RATab_AutoPromotions[name] and rank < 1 ) then
		PromoteToAssistant(name);
		CT_RA_Print("<CTRaid> Auto-Promoted |c00FFFFFF" .. name .. "|r.", 1, 0.5, 0);
	end
end
